com.r3corda.contracts.asset / Obligation / Commands / Settle

# Settle

`data class Settle<P> : Commands`

A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.

See Also

MoveCommand

### Constructors

<init> | `Settle(amount: Amount<Issued<Terms<P>>>)` A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.

### Properties

amount | `val amount: Amount<Issued<Terms<P>>>`